Bug 196145 - Network install fails using http
Network install fails using http
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-06-21 11:19 EDT by Adrian Reber
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-29 16:09:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
http installation error message (46.21 KB, image/png)
2006-06-21 11:19 EDT, Adrian Reber
no flags Details
anaconda.log (18.07 KB, text/plain)
2006-06-27 05:14 EDT, Adrian Reber
no flags Details
installation syslog (9.69 KB, text/plain)
2006-06-27 05:42 EDT, Adrian Reber
no flags Details

  None (edit)
Description Adrian Reber 2006-06-21 11:19:03 EDT
Booting over http on a ppc64 machine did not work the error message in VNC is
attached. The error message was: "Unable to read package metadata".
The logs from the webserber do not show any access to the files except the
intial loading of stage2.img: - - [21/Jun/2006:12:07:35 +0200] "GET
/fc6test1/Fedora/base/updates.img HTTP/1.0" 404 303 "-" "anaconda/" - - [21/Jun/2006:12:07:35 +0200] "GET
/fc6test1/disc1/Fedora/base/updates.img HTTP/1.0" 404 309 "-" "anaconda/" - - [21/Jun/2006:12:07:35 +0200] "GET
/fc6test1/Fedora/base/product.img HTTP/1.0" 404 303 "-" "anaconda/" - - [21/Jun/2006:12:07:35 +0200] "GET
/fc6test1/disc1/Fedora/base/product.img HTTP/1.0" 404 309 "-" "anaconda/" - - [21/Jun/2006:12:07:35 +0200] "GET /fc6test1/Fedora/base/stage2.img
HTTP/1.0" 200 77934592 "-" "anaconda/"

The same installation works when using NFS.
Comment 1 Adrian Reber 2006-06-21 11:19:03 EDT
Created attachment 131288 [details]
http installation error message
Comment 2 Jeremy Katz 2006-06-25 21:28:14 EDT
Can you switch to tty2 and grab /tmp/syslog and /tmp/anaconda.log?
Comment 3 Adrian Reber 2006-06-26 02:10:57 EDT
This is a headless install on a Cell based blade. All I have is a serial console.

Is there any other way to retrieve the information you need?
Comment 4 Jeremy Katz 2006-06-26 10:48:41 EDT
If you're doing a vnc install, you should be able to hit enter on the console
where you were doing the install and get a shell also.
Comment 5 Adrian Reber 2006-06-26 13:26:13 EDT
I cannot reproduce this anymore. Just after entering the hostname and path for
the http installation I get a "*** glibc". I booted with the kernel command-line
"console=hvc0 vnc debug". I will continue a few more times to see if I can
reproduce the earlier described error. Same happens for FTP but NFS still works.
Comment 6 Adrian Reber 2006-06-27 05:14:15 EDT
Created attachment 131590 [details]

The error with "*** glibc" cannot be seen anymore. I was able to retrieve
anaconda log and syslog.
Comment 7 Adrian Reber 2006-06-27 05:42:57 EDT
Created attachment 131593 [details]
installation syslog
Comment 8 Adrian Reber 2006-06-29 16:09:14 EDT
this is fixed with todays rawhide:

-rwxr-xr-x 1 ftpadmin ftp 8187840 Jun 29 08:37 ppc64.img

Note You need to log in before you can comment on or make changes to this bug.